[Stable Update x32] 2018-01-21 - Kernels and extramodules, printer drivers, Palemoon

update
stable
manjaro32

#1

Hello i686ers!

This set of package updates includes new point-releases for kernels 4.4, 4.9, and 4.14 with their associated extramodules. There’s an update to Palemoon and the foomatic printer drivers, and updates to NVIDIA drivers, pacui, and Atom.

Have fun!


Available kernels

Series Version
linux316 3.16.53
linux41 4.1.48
linux44 4.4.112
linux49 4.9.77
linux414 4.14.14

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

Phil very kindly updated the preview installer images:

There will be a new release as soon as I refresh myself on how to do it. :slight_smile:

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

The update announcement process will look something like:

Unstable Testing Stable Threads
Sync New unstable (when necessary)
Sync Snap New testing, update unstable
Sync Update unstable
Sync Snap Update testing, update unstable
Snap New stable, close testing and unstable
Sync New unstable (when necessary)
Sync Snap New testing, update unstable
etc. etc. etc. etc.

Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-17           2018-01-21
-------------------------------------------------------------------------------
                            linux414            4.14.13-1            4.14.14-1
                    linux414-headers            4.14.13-1            4.14.14-1
                             linux44            4.4.111-1            4.4.112-1
                     linux44-headers            4.4.111-1            4.4.112-1
                             linux49             4.9.76-1             4.9.77-1
                     linux49-headers             4.9.76-1             4.9.77-1
                     manjaro-release             17.1.1-1             17.1.2-1
                       mhwd-catalyst      1:15.201.1151-1      1:15.201.1151-2
                         mhwd-nvidia           1:384.98-1          1:384.111-3
                   mhwd-nvidia-304xx          1:304.137-1          1:304.137-3
                   mhwd-nvidia-340xx            340.104-1            340.106-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-17           2018-01-21
-------------------------------------------------------------------------------
                           calamares             3.1.12-2             3.1.12-3
                       calamares-git3.2.0.r4279.c857568b7-23.2.0.r4302.bff689035-1
                             ckbcomp              1.155-1              1.175-1
               linux316-nvidia-340xx            340.104-6            340.106-1
                  linux414-acpi_call             1.1.0-12             1.1.0-13
                   linux414-bbswitch               0.8-12               0.8-13
                linux414-broadcom-wl      6.30.223.271-12      6.30.223.271-13
                   linux414-catalyst     1:15.201.1151-12     1:15.201.1151-13
                     linux414-nvidia          1:384.111-2          1:384.111-3
               linux414-nvidia-304xx         1:304.137-12         1:304.137-13
               linux414-nvidia-340xx           340.104-12            340.106-1
                      linux414-r8168          8.044.02-12          8.044.02-13
                  linux414-rt3562sta        2.4.1.1_r4-12        2.4.1.1_r4-13
                        linux414-spl              0.7.5-2              0.7.5-3
                   linux414-tp_smapi              0.41-12              0.41-13
                linux414-vhba-module          20161009-12          20161009-13
                        linux414-zfs              0.7.5-2              0.7.5-3
                   linux44-acpi_call             1.1.0-78             1.1.0-79
                 linux44-broadcom-wl      6.30.223.271-48      6.30.223.271-49
                    linux44-catalyst     1:15.201.1151-78     1:15.201.1151-79
                      linux44-nvidia          1:384.111-2          1:384.111-3
                linux44-nvidia-304xx         1:304.137-13         1:304.137-14
                linux44-nvidia-340xx           340.104-19            340.106-1
       linux44-open-vm-tools-modules      2:2013.09.16-78      2:2013.09.16-79
                       linux44-r8168          8.044.02-32          8.044.02-33
                   linux44-rt3562sta        2.4.1.1_r4-46        2.4.1.1_r4-47
                         linux44-spl              0.7.5-2              0.7.5-3
                 linux44-vhba-module          20161009-46          20161009-47
    linux44-virtualbox-guest-modules              5.2.4-5              5.2.4-6
     linux44-virtualbox-host-modules              5.2.4-5              5.2.4-6
                         linux44-zfs              0.7.5-2              0.7.5-3
                   linux49-acpi_call             1.1.0-60             1.1.0-61
                    linux49-bbswitch               0.8-60               0.8-61
                 linux49-broadcom-wl      6.30.223.271-60      6.30.223.271-61
                    linux49-catalyst     1:15.201.1151-60     1:15.201.1151-61
                      linux49-nvidia          1:384.111-2          1:384.111-3
                linux49-nvidia-304xx         1:304.137-19         1:304.137-20
                linux49-nvidia-340xx           340.104-19            340.106-1
                       linux49-r8168          8.044.02-40          8.044.02-41
                   linux49-rt3562sta        2.4.1.1_r4-58        2.4.1.1_r4-59
                         linux49-spl              0.7.5-2              0.7.5-3
                    linux49-tp_smapi              0.41-60              0.41-61
                 linux49-vhba-module          20161009-58          20161009-59
                         linux49-zfs              0.7.5-2              0.7.5-3
                       mhwd-catalyst     1:15.201.1151-11                    -
                         mhwd-nvidia          1:384.111-3                    -
                   mhwd-nvidia-304xx          1:304.137-3                    -
                   mhwd-nvidia-340xx            340.104-3                    -
                  nvidia-340xx-utils            340.104-3            340.106-1
                 opencl-nvidia-340xx            340.104-3            340.106-1
                    rt3562sta-common        2.4.1.1_r4-58        2.4.1.1_r4-59


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-17           2018-01-21
-------------------------------------------------------------------------------
                            clawsker              1.0.1-1            1.1.1-1.0
                              emovix              0.9.0-6                    -
                         foomatic-db         3:20170914-1         3:20180112-1
                 foomatic-db-nonfree         3:20170914-1         3:20180112-1
            foomatic-db-nonfree-ppds         3:20170914-1         3:20180112-1
                    foomatic-db-ppds         3:20170914-1         3:20180112-1
                       gnome-builder           3.26.2-2.0           3.26.3-1.0
             gnome-icon-theme-extras             3.12.0-3                    -
                     kde-dev-scripts          17.12.0-1.0          17.12.1-1.0
                           libdazzle             3.26.1-1           3.26.2-1.0
                        libpagemaker              0.0.3-1            0.0.4-1.0
                             ocl-icd             2.2.11-1           2.2.12-1.0
                            perl-uri               1.72-2             1.73-1.0
                   python2-telepathy            0.15.19-5                    -

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-17           2018-01-21
-------------------------------------------------------------------------------
                   arc-themes-breath           20171105-1           20180114-1
                     arc-themes-maia           20171105-1           20180114-1
             arc-themes-solid-breath           20171105-1           20180114-1
               arc-themes-solid-maia           20171105-1           20180114-1
                 deepin-desktop-base         1:20180115-1         1:20180120-1
      deepin-desktop-schemas-manjaro              3.2.5-1              3.2.5-2
                   deepin-wallpapers         1:20180115-1         1:20180120-1
                          i3-scripts           20171125-1           20180118-1
           manjaro-cinnamon-settings           20171224-1           20180120-1
            manjaro-gnome-maia-theme           20171125-1           20180118-1
         manjaro-webdad-settings-git         r8.d7c9faa-1        r14.bd53221-1
                          mate-tweak            18.04.1-1            18.04.2-1
                           menulibre              2.1.3-2              2.1.4-1
               mhwd-addon-amdgfx-hwe           20170617-1                    -
                        nemo-preview            3.6.1-0.2            3.6.2-0.1
                               pacui                1.8-1                1.9-1
                    palemoon-i18n-cs             27.6.0-1             27.7.1-1
                    palemoon-i18n-de             27.6.0-1             27.7.1-1
                 palemoon-i18n-en-gb             27.6.0-1             27.7.1-1
                 palemoon-i18n-es-ar             27.6.0-1             27.7.1-1
                 palemoon-i18n-es-es             27.6.0-1             27.7.1-1
                 palemoon-i18n-es-mx             27.6.0-1             27.7.1-1
                    palemoon-i18n-fr             27.6.0-1             27.7.1-1
                    palemoon-i18n-hu             27.6.0-1             27.7.1-1
                    palemoon-i18n-it             27.6.0-1             27.7.1-1
                    palemoon-i18n-ko             27.6.0-1             27.7.1-1
                    palemoon-i18n-nl             27.6.0-1             27.7.1-1
                    palemoon-i18n-pl             27.6.0-1             27.7.1-1
                 palemoon-i18n-pt-br             27.6.0-1             27.7.1-1
                 palemoon-i18n-pt-pt             27.6.0-1             27.7.1-1
                    palemoon-i18n-ru             27.6.0-1             27.7.1-1
                 palemoon-i18n-sv-se             27.6.0-1             27.7.1-1
                    palemoon-i18n-tr             27.6.0-1             27.7.1-1
                 palemoon-i18n-zh-cn             27.6.0-1             27.7.1-1
                  purple-hangouts-hg  r357.4ce9b3338381-1                    -
                     purple-skypeweb20171201.1.4.20.gc442007-1                    -
                 purple-skypeweb-git20160710.1.1.32.g32b8255-1                    -
                     purple-whatsapp              0.9.0-2                    -
                               snapd               2.30-2               2.30-3
                           snapd-git2.30.r589.ga5273fe2b-12.30.r683.g1c1950c37-1
                               sndio           20161106-1           20180120-1
                           timeshift             v17.11-1              v18.1-1
              vertex-maia-icon-theme           20171126-1           20180120-1
                  webdad-theming-git         r3.8d967a3-1         r6.976eb25-1
               webdad-workspaces-git         r1.6ff36cd-1         r3.eea0a7d-1
                      xcursor-breeze             5.11.4-2             5.11.5-1
                        xdgmenumaker                1.1-1                1.4-1
                            cinnamon                    -              3.6.7-2
               cinnamon-translations                    -            3.6.4-0.1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-17           2018-01-21
-------------------------------------------------------------------------------
                                atom           1.23.2-1.0           1.23.3-1.0
                            bonnie++               1.97-2           1.97.3-1.0
                               cryfs              0.9.7-7            0.9.8-1.0
                       diff-so-fancy              1.0.0-1            1.2.0-1.0
                              distcc           3.2rc1-2.1           3.2rc1-4.0
                             dovecot            2.3.0-1.0            2.3.0-2.0
                                emms            1:4.4-1.0            1:4.4-2.0
                                 fio              3.2-1.1              3.3-1.0
                             gigedit              1.0.0-2            1.1.0-1.0
                gst-editing-services             1.12.3-1           1.12.4-1.0
                      gst-transcoder             1.12.1-1           1.12.2-1.0
                         gtk-sharp-3             2.99.3-1           2.99.3-1.1
                             gtypist              2.9.5-3            2.9.5-4.0
                          gwenhywfar             4.18.0-1           4.18.0-2.0
                           handbrake            1.0.7-3.0            1.0.7-3.1
                       handbrake-cli            1.0.7-3.0            1.0.7-3.1
                             hexedit             1.2.13-3            1.4.2-1.0
                               hyena                0.5-4              0.5-5.0
                               js185              1.0.0-3            1.0.0-4.0
                                 ldc            1:1.3.0-1          1:1.7.0-2.1
                        libextractor                1.6-1              1.6-2.0
                          liblphobos            1:1.3.0-1          1:1.7.0-2.1
                             log4net              2.0.8-1            2.0.8-1.1
                              minbif              1.0.5-7            1.0.5-8.0
                      notify-sharp-3              3.0.3-2            3.0.3-2.1
                       nss-pam-ldapd              0.9.8-1            0.9.8-2.0
                            opendkim             2.10.3-4           2.10.3-5.0
                           opendmarc              1.3.2-3            1.3.2-4.0
                            openntpd              6.2p3-1            6.2p3-3.0
                           opensmtpd            6.0.2p1-6          6.0.2p1-7.0
                    perl-anyevent-i3               0.17-2             0.17-3.0
                                poco            1.8.0.1-1            1.8.1-1.0
                              polipo              1.1.1-2            1.1.1-3.0
                       poppler-sharp              0.0.3-2            0.0.3-4.0
                             postfwd               1.35-2             1.35-3.0
                            postgrey               1.37-1             1.37-2.0
                            pstotext                1.9-3              1.9-4.0
                        python-cliff              2.9.1-1           2.10.0-1.0
                         python-cmd2              0.7.8-1            0.7.9-1.0
                     python-html5lib            1.0.1-1.0            1.0.1-2.0
                 python-oslo-context           2.19.3-1.0           2.20.0-1.0
                   python-oslosphinx             4.17.0-1           4.18.0-1.0
                     python-oslotest              3.0.0-1            3.2.0-1.0
                        python-paste              2.0.3-2            2.0.3-2.1
                python-process-tests              1.2.2-1            2.0.0-1.0
                      python-pyquery              1.3.0-1            1.4.0-1.0
                 python-pytest-xdist           1.21.0-1.0           1.22.0-1.0
                      python-pywinrm              0.2.2-5            0.3.0-1.0
                        python-regex       2017.12.12-1.0       2018.01.10-2.0
                         python-rope             0.10.7-1           0.10.7-2.0
                     python-werkzeug             0.13-1.0           0.14.1-1.0
                python-zope-security            4.2.1-1.0            4.2.2-1.0
                       python2-cliff              2.9.1-1           2.10.0-1.0
                        python2-cmd2              0.7.8-1            0.7.9-1.0
                    python2-html5lib            1.0.1-1.0            1.0.1-2.0
                   python2-mechanize            1:0.3.5-1          1:0.3.6-1.0
                python2-oslo-context           2.19.3-1.0           2.20.0-1.0
                  python2-oslosphinx             4.17.0-1           4.18.0-1.0
                    python2-oslotest              3.0.0-1            3.2.0-1.0
                       python2-paste              2.0.3-2            2.0.3-2.1
               python2-process-tests              1.2.2-1            2.0.0-1.0
                     python2-pyquery              1.3.0-1            1.4.0-1.0
                python2-pytest-xdist           1.21.0-1.0           1.22.0-1.0
                     python2-pywinrm              0.2.2-5            0.3.0-1.0
                       python2-regex       2017.12.12-1.0       2018.01.10-2.0
                        python2-rope             0.10.3-2           0.10.7-2.0
                     python2-rst2pdf               0.93-8             0.93-9.0
                    python2-werkzeug             0.13-1.0           0.14.1-1.0
               python2-zope-security            4.2.1-1.0            4.2.2-1.0
                          ruby-gpgme           2.0.15-2.0           2.0.16-1.0
                              rustup            1.8.0-1.0            1.9.0-2.0
                               sigil              0.9.8-2            0.9.9-1.0
                           smokeping             2.6.11-3           2.6.11-4.0
                              spampd              2.30-13            2.30-14.0
                             stunnel             5.44-1.0             5.44-2.0
          sugar-activity-imageviewer                 63-1               63-2.0
             sugar-activity-terminal               45.1-1             45.2-1.0
                        taglib-sharp            2.1.0.0-3          2.1.0.0-3.1
                               tclap            1.2.1-4.0            1.2.2-1.0
                              tenshi               0.16-1             0.16-2.0
                           terraform           0.11.1-1.0           0.11.2-1.0
                                tmux                2.6-1              2.6-2.0
                         ttf-symbola              10.03-1            10.23-1.0
                           typespeed              0.6.5-6            0.6.5-7.0
                                uget             2.0.10-1            2.2.0-1.0
                             umurmur           0.2.17-6.0           0.2.17-7.0
                               v2ray              3.5-1.0              3.6-1.0
                             ziproxy              3.3.1-1            3.3.1-2.0
                        embree-sse42                    -           2.17.1-1.0
                              emovix                    -            0.9.0-7.0
  firefox-extension-https-everywhere                    -        2018.1.11-1.0
                           git-crypt                    -            0.6.0-3.0
             gnome-icon-theme-extras                    -           3.12.0-4.0
                    haskell-checkers                    -          0.4.9.5-1.0
                  haskell-hspec-meta                    -            2.4.6-1.0
                       python2-pyrtf                    -             0.45-1.0
                   python2-telepathy                    -          0.15.19-8.0
                      ubuntu-keyring                    -       2016.10.27-1.0

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



#2

Known issues and solutions

This is a wiki post; please edit as necessary


LibreOffice Writer won’t open, provides no output in terminal

This is a long-standing LibreOffice bug; to fix it you need to disable Java. Start LibreOffice with libreoffice --safe-mode, choose “Continue in Safe Mode”, then go to Tools, Options, Libreoffice->Advanced, and untick “Use a Java runtime environment”.

Alternatively, load e.g. LibreOffice Impress and go to Tools, Options…

You only have to do this once; afterwards Writer should start as normal.

What about Meltdown?

Meltdown is “fixed” by the KPTI patches for x86_64. The patches do not currently work for i686. If you’re running a 32-bit Intel system you are vulnerable to Meltdown.
Yet, there’s an experimental support that will take its way into the kernel:
http://lkml.iu.edu/hypermail/linux/kernel/1801.2/00657.html

What about Spectre?

Spectre is “fixed” by microcode updates. Specific/individual updates from the CPU manufacturers are needed for specific/individual CPU families/models. Not all CPUs have updates yet. Some CPUs will never get an update.

When will this all be fixed?

Possibly never.
Update: Look for edit above.

Where can I read more?



[Testing Update x32] 2018-03-22 to 27 - GNOME 3.28, kernels, systemd, LLVM 6.0, Thunderbird, Firefox
#3

Hi :slight_smile:
No update possible, installing libx264 breaks dependency libx264.so= 148-32…it’s for ffmpeg…


#4

If that’s ffmpeg0.10, that’s an AUR package so needs removing/rebuilding. Otherwise, can you post the full output? Also, I don’t see that in this list of changes… :no_mouth:


#5

OKay, let me fire up the 32-bit box once more :wink:
Edit, here’s what it said.

[root@Ning ~]# pacman -Syu
:: Synchronizing package databases…
core is up to date
extra is up to date
community is up to date
:: Starting full system upgrade…
resolving dependencies…
looking for conflicting packages…
error: failed to prepare transaction (could not satisfy dependencies)
:: ffmpeg0.10: installing libx264 (2:152.20171224-1.0) breaks dependency ‘libx264.so=148-32’
[root@Ning ~]#

I’ll see to manually rebuild ffmeg first :smile_cat:


#6

Removing and rebuilding ffmpeg0.1 did not solve it.
The system whines on about ffmpeg 2.8 too…
I’m meditating now…


#7

Hello Melissa, a general hint here:

Seems that upstream forgot to rebuild ffmpeg


#8

OOps… :laughing:


#9

Step 1: remove ffmpeg0.10
Step 2: update
Step 3: reinstall ffmpeg0.10 if you really need it


#10

:hugs: that works, why did’nt that occur to me :blush:, still have some tricks to learn :slight_smile:


#11

Update on 2 Systems without Problems.

DK3


#12

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.